package com.loafle.overflow.model.meta;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.*;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_TARGET_HOST_TYPE", schema = "public")
@DiscriminatorValue("2")
public class MetaTargetHostType extends MetaTargetType {
  private static Map<String, Integer> mapping;

  public MetaTargetHostType(Integer id) {
    this.setId(id);
  }

  static {
    Map<String, Integer> mapping = new HashMap<>();


    MetaTargetHostType.mapping.putAll(mapping);
  }

  public static MetaTargetHostType toMetaTargetHostType(String key) {
    Integer id = MetaTargetHostType.mapping.get(key);
    if (null == id) {
      return null;
    }
    return new MetaTargetHostType(id);
  }
}
